# PhasicFlow: demGeometry Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

demGeometry Class Reference

base for geometry that manages control More...

Inheritance diagram for demGeometry:
[legend]
Collaboration diagram for demGeometry:
[legend]

## Public Member Functions

| demGeometry (systemControl &control)
Public Member Functions inherited from demComponent
| TypeInfo ("demComponent")
| Type info. More...
| demComponent (const word &name, systemControl &control)
| construct from components More...
| demComponent (const demComponent &)=delete
| No copy constructor. More...
| demComponent (demComponent &&)=delete
| No move constructor. More...
demComponent & | operator= (const demComponent &)=delete
| No copy assignment. More...
demComponent & | operator= (demComponent &&)=delete
| No move assignment. More...
virtual | ~demComponent ()=default
| destructor More...
const auto & | control () const
| Const ref to systemControl. More...
auto & | control ()
| Ref to systemControl. More...
real | dt () const
| Time step of integration. More...
real | currentTime () const
| Current simulation time. More...
uint32 | currentIter () const
| return current iteration number More...
timeInfo | TimeInfo () const
| return time info of the simulaiton More...
const auto & | time () const
auto & | time ()
const auto & | timers () const
| Const ref to timers. More...
auto & | timers ()
| Ref to timers. More...
virtual bool | beforeTimeLoop ()
| This is called before the start of time loop. More...
virtual bool | beforeIteration ()=0
| This is called in time loop, before iterate. More...
virtual bool | iterate ()=0
| This is called in time loop. More...
virtual bool | afterIteration ()=0
| This is called in time loop, after iterate. More...
virtual bool | afterTimeLoop ()
| This is called after the time loop. More...

## Detailed Description

base for geometry that manages control

Definition at line 33 of file demGeometry.hpp.

## Constructor & Destructor Documentation

## demGeometry()

demGeometry | ( | systemControl & | control | ) |

inline

Definition at line 40 of file demGeometry.hpp.

The documentation for this class was generated from the following file:

- src/Geometry/geometry/demGeometry.hpp